> For the complete documentation index, see [llms.txt](https://developer.all-images.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.all-images.ai/integration-guide/image-generation/create-image-generation.md).

# Create Image generation

If you want to generate images, you need to [create a generation](/all-images.ai-api/api-reference/images-generation.md#create-image-generation).&#x20;

Two generation modes are available: simple and advanced mode.&#x20;

### Simple mode

Generate images with a simple description that we can optimize for you with `optimizePrompt` property. Optional options are also available.

```json
{
    "name": "Image generation in Simple mode",
    "prompt": "a dog playing in a park",
    "mode": "simple",
    "optimizePrompt"?: true | false,
    "params"?: [{ name: "param1", value: "value1" }, { name: "param2", value: "value2" }, ...],
    "tags"?: ["tag1", "tag2"],
    "metaData"?: { "name": "value" }
}
```

{% hint style="warning" %}
**The prompt must not contain a Midjourney parameter, only a text description. Use the various parameters or the "**[**advanced mode**](#advanced-mode)**"**
{% endhint %}

With the `optimizePrompt` parameter, the description will be optimised for generation. \
Example : "a dog" --> "A small brown dog sits on freshly fallen leaves looking into the distance, shot from a low angle."

In simple mode, you can add `params` to customize generation:&#x20;

* **Photo type** : "High quality realistic photo (realisticQuality, default)" or "Realistic photo taken on a smartphone (realisticManuel)".\
  `{ name: "templatePrompt", value: "realisticQuality" | "realisticManuel" }`
* **Format**: select image resolution.\
  `{ name: "format", value: "1:1" | "3:2" | "2:3" | "4:7" | "7:4" | "5:4" | "4:5" | "16:9" | "9:16" }`
* **Weather**: choose the weather for your image.\
  `{ name: "weather", value: "sunny" | "cloudy" | "foggy" | "rainy" | "thunderstorm" | "snowy" }`
* **Time**: this will change the image colors according to the time of day.\
  `{ name: "Time", value: "sunrise" | "morning" | "afternoon" | "sunset" | "evening" | "golden hour" | "night" | "midnight" }`
* **Camera**: enter a specific camera. Ex: GoPro or Cannon.\
  `{ name: "camera", value: "camera name" }`
* **Chaos**: value between 0 and 100 - This parameter influences how varied the initial image grids are. High chaos values will produce more unusual and unexpected results and compositions. Lower chaos values have more reliable, repeatable results.\
  `{ name: "chaos", value: 0-100 }`
* **Stylize**: value between 0 and 100 - Low stylization values produce images that closely match the prompt but are less artistic. High stylization values create images that are very artistic but less connected to the prompt.\
  `{ name: "stylize", value: 0-1000 }`
* **Interdiction**: separating what you don't want in the image (word, hands, human, ...) with a comma.\
  `{ name: "interdiction", value: "value1, value2, ..." }`

### Advanced mode

Our images are generated using Midjourney AI. In this mode, you just enter your ["Imagine" prompt](https://docs.midjourney.com/docs/image-prompts) as if you were on Discord.

```json
{
    "name": "Image generation in Advanced mode",
    "prompt": "a dog playing in a park --aspect 3:2",
    "mode": "advanced",
    "tags"?: ["tag1", "tag2"],
    "metaData"?: { "name": "value" }
}
```

***

{% hint style="info" %}
**User with "Dedicated" offer**\
The "processMode" parameter lets you choose the image generation mode: fast or relax. Remember to check your fast generation quota.
{% endhint %}

```
{
    "name": "Image generation",
    "processMode": "fast" | "relax"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.all-images.ai/integration-guide/image-generation/create-image-generation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
